Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.model
Interface ValueModel

All Known Implementing Classes:
  ClosureModel, PropertyModel, ValueHolder

    public interface ValueModel

Represents a model of a value

Version:
  $Revision: 7922 $
Author:
  James Strachan

Method Summary
`Class` | `getType()`
`Object` | `getValue()`
`boolean` | `isEditable()`
`void` | `setValue(Object value)`

Method Detail

### getValue

    Object getValue()

### setValue

    void setValue(Object value)

### getType

    Class getType()

### isEditable

    boolean isEditable()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD